version: '2'

services:
  mumble-web:
    build: ./mumble-web
    hostname: mumble-web
    container_name: mumble-web
    restart: always
    entrypoint:
      - /bin/bash
      - entrypoint.sh
    expose:
      - 8080
    volumes:
      - ./entrypoint.sh:/home/node/mumble-web/entrypoint.sh
      - ./config.js:/home/node/mumble-web/app/config.js:ro
      - ./cert.pem:/home/node/mumble-web/cert.pem:ro
      - ./key.pem:/home/node/mumble-web/key.pem:ro
      - ./index.html:/home/node/mumble-web/app/index.html:ro
      - ./index.js:/home/node/mumble-web/app/index.js:ro
      - ./loc:/home/node/mumble-web/loc:ro 
    networks:
      mynet:
        ipv4_address: 172.60.0.101
        
networks:
  mynet:
    driver: bridge
    ipam:
      config:
      - subnet: 172.60.0.0/24

